Webhooks
Get Webhook Subscriptions by Event Type
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Path Parameters
Type*string
Specifies the type of the webhook.
Value in
- "TcrCampaignImported"
- "PhoneNumberStatusChanged"
- "PhoneNumberVoiceStatusChanged"
- "TrafficLimitAlert"
- "InboundCallReceived"
- "InboundCallReceivedFallback"
- "CallStatusChanged"
- "CallRecordingCompleted"
- "RcsOutboundMessageStatusChanged"
- "RcsInboundMessageReceived"
- "RcsInboundUserAction"
- "RcsMessageSeen"
- "RcsTypingIndicator"
Response Body
curl -X GET "https://example.com/v1/Webhooks/TcrCampaignImported"{ "webhookSubscriptions": [ { "type": "TcrCampaignImported", "url": "https://example.com/webhook?source=telgorithm", "authorizationBearer": "MySecretToken123" } ]}